package com.adbc.qtracker;

import android.content.Context;

import androidx.annotation.NonNull;

import com.adbc.tracker.ADBCTracker;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

public class QTrackerModule extends ReactContextBaseJavaModule {

    private static ReactApplicationContext reactContext;

    public QTrackerModule(ReactApplicationContext reactContext) {
        super(reactContext);
        this.reactContext = reactContext;
    }

    @NonNull
    @Override
    public String getName() {
        return "QTracker";
    }

    @ReactMethod
    public void init() {
        Context context = reactContext;
        ADBCTracker.init(context);
    }

    @ReactMethod
    public void sendOpen() {
        Context context = reactContext;
        ADBCTracker.sendOpen(context);
    }

    @ReactMethod
    public void sendEvent(String eventName) {
        Context context = reactContext;
        ADBCTracker.sendEvent(context, eventName);
    }
}
